
-- DROP TABLE factor_lin;




CREATE TABLE factor_lin (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    reverse_score_flag char(1) NULL,
    factor_number number(12)  NULL,
    quest_number number(12)  NULL
    );



ALTER TABLE factor_lin ADD    
    CONSTRAINT PK_factor_lin PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_factor_lin_factor_number 
    ON factor_lin (factor_number);

    CREATE INDEX idx_factor_lin_quest_number 
    ON factor_lin (quest_number);
